#ifndef HUBBLEMAGMODEL_FILTERS_H
#define HUBBLEMAGMODEL_FILTERS_H

#include "hubblemodel.h"
#include "fittedsn.h"
#include "param.h"


class HubbleMagModel_Filters : public HubbleModel {

 public:

  HubbleMagModel_Filters();
  ~HubbleMagModel_Filters() {};
  
  virtual double Mag(const FittedSn* sn) const;
  virtual double Res(const FittedSn* sn) const;
  virtual double Variance(const FittedSn* sn) const;
  virtual double Chi2(const FittedSn* sn) const; 
  
  virtual void InitParams();
};


#endif /*  HUBBLEMAGMODEL2__H */
