#ifndef LEGENDRE__H
#define LEGENDRE__H



#include <string>
#include <vector>


using namespace std;


//! 
class LegPolSum3
{
  vector<double> coeffs;
  int degx, degy, degz;
  double ax,bx, ay,by,az,bz;
  int coeffSize;

  public :
    LegPolSum3(int Dx, int Dy, int Dz,
	       double XMin, double XMax, 
	       double YMin, double YMax, 
	       double ZMin, double ZMax);

  LegPolSum3(const string &FileName);
  bool Write(const string &FileName);

  int CoeffSize() const;

  void Monomials(const double &X, const double &Y, 
		 const double &Z, double *Monom) const;

  double Value(const double &X, const double &Y, const double &Z) const;

  bool Write(const string &FileName) const;
  bool Read(const string &FileName);
  
  void SetCoeffs(const double *Val);
  
};
  
  

#endif /* LEGENDRE__H */
