#ifndef SPECTRA__H
#define SPECTRA__H
#include "sampledfunction.h"
#include <list>


class Spectra : public General1DFunction
{
 private:
  string name;
  
 public:
  const string Name() const {return name;};
  Spectra(const string & FileName,int igroup=0) : General1DFunction(FileName)
    {
      name  = FileName;
      group = igroup;
    };
  int group;
};

class ListOfSpectra : public list<Spectra>
{
  public:
  int currentgroup;
  ListOfSpectra(const string &FileName);
  void Add(const string &FileName);
  void Plot(const string & FileName);
};

typedef list<Spectra>::iterator SpectraIterator;
typedef list<Spectra>::const_iterator SpectraCIterator;

#endif /* SPECTRA__H */
